#!/usr/bin/env python
import user
import config.base

class Configure(config.base.Configure):
  def __init__(self, framework):
    config.base.Configure.__init__(self, framework)
    self.headerPrefix = ''
    self.substPrefix  = ''
    return

  def setupDependencies(self, framework):
    config.base.Configure.setupDependencies(self, framework)
    self.headers = framework.require('config.headers', self)
    self.headers.headers.extend(['malloc.h', 'string.h'])
    self.mpi = framework.require('config.packages.MPI', self)
    return

  def __str__(self):
    return ''

  def configure(self):
    if not self.mpi.found:
      raise RuntimeError('ParMetis requires MPI!')
